Package oracle.jdbc

## Interface OracleHostnameResolver

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface OracleHostnameResolver

An interface that can be implemented to take care of the database Hostname resolution. The object implementing this interface can be passed to the DataSource with `OracleCommonDataSource.setHostnameResolver(OracleHostnameResolver)`. This custom hostname resolver will be ignored if used in conjunction with a `socks proxy remote DNS`. This feature will disable automatic ONS configuration.

Since:
  23

### Method Summary

All Methods Instance Methods Abstract Methods
`java.net.InetAddress[]` `getAllByName​(java.lang.String host)`

### Method Detail

#### getAllByName

    java.net.InetAddress[] getAllByName​(java.lang.String host)
                                 throws java.net.UnknownHostException

Throws:
  `java.net.UnknownHostException`